Get Repost Configurations
Retrieve all configured automatic reposting rules. When you post to a 'from' platform, the content will be automatically reposted to all 'to' platforms.
Retrieve all configured automatic reposting rules. When you post to a 'from' platform, the content will be automatically reposted to all 'to' platforms.
Authorization
BearerAuth In: header
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/reposts"{ "success": true, "data": [ { "id": "507f1f77bcf86cd799439011", "from": { "platform": "TikTok", "usernameImage": "profile.jpg", "username": "sourceuser", "status": "CONNECTED", "displayName": "Source User" }, "to": [ { "platform": "Instagram", "usernameImage": "profile.jpg", "username": "destuser", "status": "CONNECTED", "displayName": "Dest User" } ], "date": "2026-02-19T10:00:00.000Z", "isPaused": false } ]}{ "success": false}{ "success": false}Cancel Scheduled Post GET
Cancel a post that was scheduled for later. The post will be permanently deleted.
Add Repost Configuration POST
Configure automatic reposting from one platform to others. **How it works**: - When you post content to the 'from' platform, it will automatically be reposted to all 'to' platforms **Note**: Circular dependencies are prevented. You cannot create A→B if B→A already exists.